Packages - Bug #2252

[umbrello]: Missing shared object file causes startup to fail instantly

2019-03-22 02:41 PM - ani

Status: fixed % Done: 100%
Priority: bug

Assignee: freemor

Category:

Description

My system: x86_64 Parabola GNU/Linux-libre.

Updated via pacman 2019-03-22 twenty to four.

The error is that | execute umbrello5 so the Umbrello program is launching, the program exits instantly with an error message:

umbrello5: error while loading shared libraries: libKDevPlatformTests.s0.53: cannot open shared object file: No such file or directory

Expected behavior is that the program will launch and not exit prematurely.

History

#1 - 2019-03-29 11:25 AM - freemor

looks like [libre/kdevelop] has gotten a little stale.
Hopefully it can still be built without gt-webengine

#2 - 2019-03-29 11:28 AM - freemor
Giving it a try with a freshened PKGBUILD

#3 - 2019-03-29 01:20 PM - freemor

Built ok. But libKDevPlatformTests.s0.5 still missing due to

—DBUILD_TESTING=OFF

in our version of the PKGBUILD. commenting that out , rebuilding.

#4 - 2019-03-29 01:21 PM - freemor
- Assignee set to freemor

- Status changed from unconfirmed to confirmed

#5 - 2019-03-29 05:00 PM - freemor
- % Done changed from 0 to 30

- Status changed from confirmed to in progress

x86_64 -> build, tested, pushed.. Missing lib is now present.

Starting build on other two ARCHs

#6 - 2019-03-29 08:27 PM - freemor
- % Done changed from 30 to 60

#7 - 2019-03-30 07:21 PM - freemor
- % Done changed from 60 to 100

- Status changed from in progress to fixed
